@handler-width: 12px;

:host::ng-deep sqtm-core-editable-select-field span.field-value-color {
  color: #ce0000;
}

:host::ng-deep sqtm-core-editable-rich-text div {
  height: inherit;
  & p {
    margin: 0;
  }
}

.dnd-handler-wrapper {
  width: @handler-width;
}

.dnd-handler {
  width: @handler-width;
  height: 100%;
  background-image: url('projects/sqtm-core/src/assets/sqtm-core/img/generic/dot.svg');
  background-repeat: repeat-y;
  display: none;

  &:hover {
    cursor: grab;
  }
}

.index-typography {
  user-select: none;
  font-size: 20px;
  font-weight: 600;
  color: var(--label-color);

  &:hover {
    cursor: pointer;
  }
}

.index-typography.selected {
  color: var(--current-workspace-main-color);
}

.action-buttons-wrapper {
  display: none;
}

.action-buttons {
  justify-content: flex-end;
  align-items: center;

  i {
    cursor: pointer;
  }
}

.index-column {
  width: 55px;
  justify-content: center;
  align-items: center;
}

.arrow {
  color: var(--gray-accented-color);
  font-size: 12px;

  &:hover {
    cursor: pointer;
  }
}

.arrow-sup {
  display: none;
}

.arrow-sup-icon {
  transform: rotate(-0.25turn);
}

.arrow-down {
  display: none;
}

.arrow-down-icon {
  transform: rotate(0.25turn);
}

.keyword-step-main-grid {
  width: 100%;
  display: grid;
  grid-template-columns: 210px auto 85px;
  grid-template-rows: auto;
  grid-column-gap: 10px;
  margin: 5px 0;
  align-items: center;

  &.collapsed {
    grid-row-gap: 0;
  }
}

.step-list-element {
  background-color: var(--container-background-color);
  margin-top: 5px;
  margin-bottom: 5px;
  //overflow: hidden;

  &:hover {
    ::ng-deep .step-list-element-buttons {
      display: inline-block;
    }

    ::ng-deep .action-resize-handler {
      display: inline;
    }

    .dnd-handler {
      display: block;
    }

    .arrow-sup,
    .arrow-down {
      display: block;
    }

    .index-column {
      justify-content: space-between;
      align-items: center;
    }
  }

  // if a selection is active, all unselected step have their buttons and handlers inactivated
  &.placeholder:hover,
  &.disabled:hover {
    ::ng-deep .step-list-element-buttons {
      display: none;
    }

    .dnd-handler {
      display: none;
    }

    .arrow-sup,
    .arrow-down {
      display: none;
    }

    .index-column {
      justify-content: center;
    }
  }

  // no write permissions, we have no arrows no dnd handler but we keep buttons
  &.read-only:hover {
    .arrow-sup,
    .arrow-down {
      display: none;
    }

    .index-column {
      justify-content: center;
    }

    .dnd-handler {
      display: none;
    }
  }

  &.border-selected {
    border-color: var(--current-workspace-main-color) !important;
  }
}

.placeholder {
  background-color: var(--label-color);
}

.step-section {
  grid-column: 2;
  margin-top: 10px;
  & .sub-section-icon {
    display: none;
  }
  &:hover .sub-section-icon.active {
    display: inline;
    cursor: pointer;
  }
}

.datatable-section {
  grid-row: 2;
}

.docstring-section {
  grid-row: 3;
}

.datatable-and-docstring-warning {
  grid-row: 4;
}

.comment-section {
  grid-row: 5;
}

.header-color {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 600;
  color: var(--label-color);
}

.hover-green.ant-dropdown-menu-item:hover {
  color: var(--current-workspace-main-color);
}
